## r-cran-treescape 1.10.18

=== DESCRIPTION ===
Package: treescape
Title: Statistical Exploration of Landscapes of Phylogenetic Trees
Version: 1.10.18
Date: 2016-12-02
Authors@R: c(TJ=person("Thibaut", "Jombart", email="thibaut.jombart@gmail.com", role = c("aut")),
 	     MK=person("Michelle", "Kendall", email="m.kendall@imperial.ac.uk", role = c("aut", "cre")),
	     JAG=person("Jacob", "Almagro-Garcia", role = c("aut")),
	     CC=person("Caroline", "Colijn", role = c("aut")))
Maintainer: Michelle Kendall <m.kendall@imperial.ac.uk>
Description: Tools for the exploration of distributions of phylogenetic trees.
    This package includes a shiny interface which can be started from R using
    'treescapeServer()'.
Depends: R (>= 3.1.2), ape, ade4
Imports: adegenet, adegraphics, adephylo, combinat, compiler, distory,
        fields, htmlwidgets, MASS, phangorn, Rcpp, rgl, RLumShiny,
        scatterD3, shiny, shinyBS, utils
LinkingTo: Rcpp
Suggests: igraph, RColorBrewer, ggplot2, testthat, knitr, rmarkdown
License: GPL (>= 2)
LazyData: true
Collate: RcppExports.R metrics.R medTree.R treescape.R findGroves.R
        plotGroves.R plotTreeDiff.R servers.R transmissionTrees.R
        data.R
RoxygenNote: 5.0.1
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2016-12-08 09:42:17 UTC; thibaut
Author: Thibaut Jombart [aut],
  Michelle Kendall [aut, cre],
  Jacob Almagro-Garcia [aut],
  Caroline Colijn [aut]
Repository: CRAN
Date/Publication: 2016-12-08 15:30:03

=== debian/changelog ===
r-cran-treescape (1.10.18-8) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Tue, 03 Oct 2017 09:02:42 +0200

r-cran-treescape (1.10.18-7) unstable; urgency=medium

  * treescape is archived on CRAN - adapt watch file
  * document archiving of package in README.Debian
  * Standards-Version: 4.1,0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 08 Sep 2017 11:28:02 +0200

r-cran-treescape (1.10.18-6) unstable; urgency=medium

  * The segfault seems to be a random effect since formerly successful
    build architecture mips64el needs to be excluded now as well

 -- Andreas Tille <tille@debian.org>  Thu, 22 Dec 2016 11:18:49 +0100

r-cran-treescape (1.10.18-5) unstable; urgency=medium

  * Set quote correctly

 -- Andreas Tille <tille@debian.org>  Thu, 22 Dec 2016 09:26:46 +0100

r-cran-treescape (1.10.18-4) unstable; urgency=medium

  * Fix missing quote sign

 -- Andreas Tille <tille@debian.org>  Thu, 22 Dec 2016 08:14:11 +0100

r-cran-treescape (1.10.18-3) unstable; urgency=medium

  * Set stack limit drastically higher for those architectures that are
    somehow needing this (see bug #845753).  This is only done for upstream
    version 1.10.18 for the moment.

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2016 21:49:08 +0100

r-cran-treescape (1.10.18-2) unstable; urgency=medium

  * Make sure xvfb-run is used in d/rules
  * Add libgl1-mesa-dri to Build-Depends
  * Rebuild with new toolchain possibly
    Closes: #845753

 -- Andreas Tille <tille@debian.org>  Wed, 14 Dec 2016 06:45:37 +0100

r-cran-treescape (1.10.18-1) unstable; urgency=medium

  * New upstream version
    Closes: #845753

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2016 08:50:33 +0100

r-cran-treescape (1.10.17-2) unstable; urgency=medium

  * Fix issue with new release of ape
    Closes: #845753
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 08 Dec 2016 16:01:06 +0100

r-cran-treescape (1.10.17-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2016 12:02:47 +0200

r-cran-treescape (1.9.17-1) unstable; urgency=low

  * Initial release (Closes: #830475)

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jul 2016 13:13:58 +0200

=== debian/control ===
Source: r-cran-treescape
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-ape,
               r-cran-ade4,
               r-cran-adephylo,
               r-cran-adegraphics,
               r-cran-combinat,
               r-cran-distory,
               r-cran-phangorn (>= 2.0.3),
               r-cran-rcpp,
               r-cran-rglwidget,
               r-cran-rlumshiny,
               r-cran-shinybs,
               r-cran-fields,
               r-cran-htmlwidgets,
               r-cran-scatterd3,
               xauth,
               xvfb,
               libgl1-mesa-dri
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/git/debian-med/r-cran-treescape.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-treescape.git
Homepage: https://cran.r-project.org/package=treescape

Package: r-cran-treescape
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Statistical Exploration of Landscapes of Phylogenetic Trees
 This GNU R package provides tools for the exploration of distributions
 of phylogenetic trees. This package includes a shiny interface which can
 be started from R using 'treescapeServer()'.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/Archive/treescape/treescape_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-treescape 1.10.18+dfsg

=== debian/changelog ===
r-cran-treescape (1.10.18+dfsg-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jun 2018 10:02:35 +0200

=== debian/control ===
Source: r-cran-treescape
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-ape,
               r-cran-ade4,
               r-cran-adegenet,
               r-cran-adegraphics,
               r-cran-adephylo,
               r-cran-combinat,
               r-cran-distory,
               r-cran-fields,
               r-cran-htmlwidgets,
               r-cran-mass,
               r-cran-phangorn,
               r-cran-rcpp,
               r-cran-rgl,
               r-cran-rlumshiny,
               r-cran-scatterd3,
               r-cran-shiny,
               r-cran-shinybs,
               xauth,
               xvfb,
               libgl1-mesa-dri
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-treescape
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-treescape.git
Homepage: https://cran.r-project.org/package=treescape

Package: r-cran-treescape
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Statistical Exploration of Landscapes of Phylogenetic Trees
 This GNU R package provides tools for the exploration of distributions
 of phylogenetic trees. This package includes a shiny interface which can
 be started from R using 'treescapeServer()'.

=== debian/rules ===
#!/usr/bin/make -f

DEBVERS   := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
VERSION   := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

HUGESTACK := false

ifeq ($(VERSION),1.10.18)
ifeq ($(BUILDARCH),$(filter $(BUILDARCH), armhf i386 mipsel mips64el))
	HUGESTACK := true
endif
endif

%:
	dh $@ --buildsystem R

override_dh_auto_install:
ifeq ($(HUGESTACK),true)
	echo "****************** Version = 1.10.18, Architecture armhf or i386 or mipsel ***********************************"
	echo "****************** Set stack usage to be drastically higher on 32bit LE platforms (see bug #845753 ***********"
	/bin/sh -c "ulimit -S -s 200000 ; exec \
	    xvfb-run --auto-servernum --server-num=20 -s '-screen 0 1024x768x24 -ac +extension GLX +render -noreset' \
	    dh_auto_install"
else
	xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
	    dh_auto_install
endif

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/Archive/treescape/treescape_@ANY_VERSION@@ARCHIVE_EXT@
